Skip to main content
POST
/
contact-lists
/
{contactListId}
/
contacts
/
remove
curl --request POST \
  --url https://api.autosend.com/v1/contact-lists/60d5ec49f1b2c72d9c8b4567/contacts/remove \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "emails": [
    "[email protected]",
    "[email protected]"
  ]
}'
{
  "success": true,
  "data": {
    "removed": 2,
    "notInList": 0,
    "errors": []
  }
}
curl --request POST \
  --url https://api.autosend.com/v1/contact-lists/60d5ec49f1b2c72d9c8b4567/contacts/remove \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "emails": [
    "[email protected]",
    "[email protected]"
  ]
}'
{
  "success": true,
  "data": {
    "removed": 2,
    "notInList": 0,
    "errors": []
  }
}

Authorizations

Authorizations
string | header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

contactListId
string
required
The unique identifier of the contact list to remove contacts from.
You cannot remove contacts from the global GLOBAL_CONTACT_LIST. Use the Delete Contact API instead.
Example: "60d5ec49f1b2c72d9c8b4567"

Body

Remove contacts from a list by email addresses or contact IDs. Provide either emails or contactIds, not both.
emails
string[]
Array of email addresses to remove from the list.Example:
contactIds
string[]
Array of contact IDs to remove from the list.Example:
["60d5ec49f1b2c72d9c8b1111", "60d5ec49f1b2c72d9c8b2222"]

Response

Contacts removed from list
success
boolean
Indicates if the request was successfulExample: true
data
object